> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockscout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get transaction raw trace

> **Deprecation Notice:** Per instance endpoints will be deprecated soon in favor of PRO API endpoints. Please see the [PRO API reference page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for information.



## OpenAPI

````yaml /openapi-specs/openapi-deprecation.yaml get /transactions/{transaction_hash}/raw-trace
openapi: 3.0.0
info:
  description: API for BlockScout web app
  version: 1.0.0
  title: BlockScout API
  contact:
    email: support@blockscout.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://eth.blockscout.com/api/v2/
    description: Ethereum mainnet
  - url: https://optimism.blockscout.com/api/v2/
    description: Optimism mainnet
  - url: https://base.blockscout.com/api/v2/
    description: Base mainnet
  - url: https://eth-sepolia.blockscout.com/api/v2/
    description: Ethereum testnet
security: []
tags:
  - name: default
  - name: CelestiaService
paths:
  /transactions/{transaction_hash}/raw-trace:
    get:
      summary: get transaction raw trace
      description: >-
        **Deprecation Notice:** Per instance endpoints will be deprecated soon
        in favor of PRO API endpoints. Please see the [PRO API reference
        page](https://docs.blockscout.com/devs/pro-api-responses-and-routes) for
        information.
      operationId: get_transaction_raw_trace
      parameters:
        - $ref: '#/components/parameters/transactionHash'
      responses:
        '200':
          description: raw trace
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RawTrace'
        '400':
          description: bad input parameter
components:
  parameters:
    transactionHash:
      name: transaction_hash
      in: path
      description: Transaction hash
      required: true
      schema:
        type: string
        pattern: ^0x([A-Fa-f0-9]{64})$
  schemas:
    RawTrace:
      type: object
      required:
        - action
        - subtraces
        - traceAddress
        - type
      properties:
        action:
          oneOf:
            - $ref: '#/components/schemas/RawTraceCallAction'
            - $ref: '#/components/schemas/RawTraceCreateAction'
            - $ref: '#/components/schemas/RawTraceSelfDestructAction'
        subtraces:
          type: integer
          example: 0
        traceAddress:
          type: array
          items:
            type: integer
          example:
            - 0
            - 0
        type:
          type: string
          example: call
        error:
          type: string
          example: Reverted
        result:
          oneOf:
            - $ref: '#/components/schemas/RawTraceCallResult'
            - $ref: '#/components/schemas/RawTraceCreateResult'
    RawTraceCallAction:
      type: object
      required:
        - callType
        - to
        - from
        - input
        - gas
        - value
      properties:
        callType:
          type: string
          example: call
        to:
          type: string
          example: '0x162e898bd0aacb578c8d5f8d6ca588c13d2a383f'
        from:
          type: string
          example: '0xf57b55b01b831e602e09674a4e5d69cbcf343f98'
        input:
          type: string
          example: >-
            0x630cea8e000000000000000000000000000000000000000000000000000000000000004000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000041c25b36779231e71769118210c3eb64c0a9c7577b925b309af3183e13acc7cf30210493d13c8c6c3c0bd337d5e39e454fece0c301f0aedb6c43c7a37650ac83e71c00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000019500050000f0add9e5dc02faeca12e9669f045685449d6b80a000000000000744359447362798334d3485c64d1e4870fde2ddc0d75f0b456250dc9990662a6f25808cc74a6d1131ea9000927c001018064382ae87cdd000000000000000000000000bab3cbdcbcc578445480a79ed80269c50bb5b71800000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000012000000000000000000000000351af1631aa5ea1ca62ad8a4e3cd87128d4d910800000000000000000000000000000000000000000000005b8decde02914ce837000000000000000000000000000000000000000000000000000000000000001e4d45444f4f5a412045636f73797374656d2076322e30206f6e2078446169000000000000000000000000000000000000000000000000000000000000000000044d445a41000000000000000000000000000000000000000000000000000000000000000000000000000000
        gas:
          type: string
          example: '0x25D3FC'
        value:
          type: string
          example: '0x0'
    RawTraceCreateAction:
      type: object
      required:
        - from
        - gas
        - init
        - value
      properties:
        from:
          type: string
          example: '0xf57b55b01b831e602e09674a4e5d69cbcf343f98'
        gas:
          type: string
          example: '0x25D3FC'
        init:
          type: string
          example: >-
            0x630cea8e000000000000000000000000000000000000000000000000000000000000004000000000000000000000000000000000000000000000000000000000000000c00000000000000000000000000000000000000000000000000000000000000041c25b36779231e71769118210c3eb64c0a9c7577b925b309af3183e13acc7cf30210493d13c8c6c3c0bd337d5e39e454fece0c301f0aedb6c43c7a37650ac83e71c00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000019500050000f0add9e5dc02faeca12e9669f045685449d6b80a000000000000744359447362798334d3485c64d1e4870fde2ddc0d75f0b456250dc9990662a6f25808cc74a6d1131ea9000927c001018064382ae87cdd000000000000000000000000bab3cbdcbcc578445480a79ed80269c50bb5b71800000000000000000000000000000000000000000000000000000000000000c000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000000012000000000000000000000000351af1631aa5ea1ca62ad8a4e3cd87128d4d910800000000000000000000000000000000000000000000005b8decde02914ce837000000000000000000000000000000000000000000000000000000000000001e4d45444f4f5a412045636f73797374656d2076322e30206f6e2078446169000000000000000000000000000000000000000000000000000000000000000000044d445a41000000000000000000000000000000000000000000000000000000000000000000000000000000
        value:
          type: string
          example: '0x0'
    RawTraceSelfDestructAction:
      type: object
      required:
        - address
        - balance
        - refundAddress
      properties:
        address:
          type: string
          example: '0xf57b55b01b831e602e09674a4e5d69cbcf343f98'
        balance:
          type: string
          example: '0x25D3FC'
        refundAddress:
          type: string
          example: '0x162e898bd0aacb578c8d5f8d6ca588c13d2a383f'
    RawTraceCallResult:
      type: object
      required:
        - gasUsed
        - output
      properties:
        gasUsed:
          type: string
          example: '0x25D3FC'
        output:
          type: string
          example: '0x0'
    RawTraceCreateResult:
      type: object
      required:
        - address
        - code
        - gasUsed
      properties:
        address:
          type: string
          example: '0xf57b55b01b831e602e09674a4e5d69cbcf343f98'
        code:
          type: string
          example: '0x25D3FC'
        gasUsed:
          type: string
          example: '0x25D3FC'

````